Summary:	Simple NUMA policy support
Summary(pl.UTF-8):	Prosta obsługa polityk NUMA
Name:		numactl
Version:	2.0.10
Release:	1
License:	LGPL v2.1 (library), GPL v2 (utilities)
Group:		Applications/System
Source0:	ftp://oss.sgi.com/www/projects/libnuma/download/%{name}-%{version}.tar.gz
# Source0-md5:	58443c6fe7e67126de07bd86e4d6b825
URL:		http://oss.sgi.com/projects/libnuma/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple NUMA policy support. It consists of a numactl program to run
other programs with a specific NUMA policy and a libnuma to do
allocations with NUMA policy in applications.

%description -l pl.UTF-8
Prosta obsługa polityk NUMA. Pakiet zawiera program numactl do
uruchamiania innych programów z określoną polityką NUMA oraz libnuma
do przydzielania pamięci z polityką NUMA w aplikacjach.

%package devel
Summary:	Header files for libnuma library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnuma
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libnuma library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnuma.

%package static
Summary:	Static libnuma library
Summary(pl.UTF-8):	Statyczna biblioteka libnuma
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnuma library.

%description static -l pl.UTF-8
Statyczna biblioteka libnuma.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not needed (library without external dependencies)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libnuma.la
# in man-pages (it's Linux syscall, although API is defined in numaif.h)
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man2/move_pages.2

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# it used to be library itself, now it's SONAME symlink
if [ -f %{_libdir}/libnuma.so.1 ]; then
	rm -f %{_libdir}/libnuma.so.1
fi

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%attr(755,root,root) %{_bindir}/memhog
%attr(755,root,root) %{_bindir}/migratepages
%attr(755,root,root) %{_bindir}/migspeed
%attr(755,root,root) %{_bindir}/numactl
%attr(755,root,root) %{_bindir}/numademo
%attr(755,root,root) %{_bindir}/numastat
%attr(755,root,root) %{_libdir}/libnuma.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnuma.so.1
%{_mandir}/man8/migratepages.8*
%{_mandir}/man8/migspeed.8*
%{_mandir}/man8/numactl.8*
%{_mandir}/man8/numastat.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnuma.so
%{_includedir}/numa*.h
%{_mandir}/man3/numa.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libnuma.a
%changelog
* Sun Oct 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/numactl.git;a=log;h=master

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> a58a635
- updated to 2.0.10

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 6fb5f99
- updated to 2.0.9

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 62fb50f
- updated to 2.0.8

* Thu Apr 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 603efc2
- updated to 2.0.7

* Mon Mar 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 53b6fdd
- rel 2; drop move_pages.2 - is in man-pages

* Fri Dec 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 2d6a684
- updated to 2.0.6

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 27fd96c
- updated to 2.0.5
- package static library

* Tue Mar 30 2010 Tomasz Pala <gotar@pld-linux.org> 3a4021f
- upgraded to 2.0.3

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> ef70dee
- updated to 1.0.2

* Sun Aug 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 2f2cc78
- updated to 1.0.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8e36b36
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 86a6b85
- converted to UTF-8

* Thu Nov 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 0683035
- updated to 0.9.11

* Tue Sep 12 2006 Jakub Bogusz <qboosh@pld-linux.org> afc7a76
- updated to 0.9.10

* Sun Apr 02 2006 Jakub Bogusz <qboosh@pld-linux.org> 6c4067a
- updated to 0.9.7

* Fri Feb 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 70260b9
- updated to 0.9.3

* Sat Feb 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 4edb390
- updated to 0.9.2

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 9938e96
- updated to 0.9.1

* Wed Dec 21 2005 Jakub Bogusz <qboosh@pld-linux.org> e911599
- updated to 0.8

* Mon Oct 31 2005 Jakub Bogusz <qboosh@pld-linux.org> 712a88d
- new

